# PatchClusterProperties

Properties of the payload to change a cluster.

## Properties

| Name                  | Type                                                                                         | Description                                                                   | Notes                               |
| --------------------- | -------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------- | ----------------------------------- |
| **cores**             | **number**                                                                                   | The number of CPU cores per instance.                                         | \[optional] \[default to undefined] |
| **ram**               | **number**                                                                                   | The amount of memory per instance in megabytes. Has to be a multiple of 1024. | \[optional] \[default to undefined] |
| **storageSize**       | **number**                                                                                   | The amount of storage per instance in megabytes.                              | \[optional] \[default to undefined] |
| **connections**       | [**Array\<Connection>**](https://docs.ionos.com/postgres-sdk-nodejs/models/connection)       |                                                                               | \[optional] \[default to undefined] |
| **displayName**       | **string**                                                                                   | The friendly name of your cluster.                                            | \[optional] \[default to undefined] |
| **maintenanceWindow** | [**MaintenanceWindow**](https://docs.ionos.com/postgres-sdk-nodejs/models/maintenancewindow) |                                                                               | \[optional] \[default to undefined] |
| **postgresVersion**   | **string**                                                                                   | The PostgreSQL version of your cluster.                                       | \[optional] \[default to undefined] |
| **instances**         | **number**                                                                                   | The total number of instances in the cluster (one master and n-1 standbys).   | \[optional] \[default to undefined] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-nodejs/models/patchclusterproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
